Xerox Document Centre MicroServer Web Server Multiple Vulnerabilities (XRX05-008)

High Nessus Plugin ID 19549


The remote printer suffers from multiple vulnerabilities.


According to its model number and software version, the remote host is a Xerox Document Centre device with an embedded web server that suffers from multiple flaws, including authentication bypass, denial of service, unauthorized file access, and cross-site scripting.


Apply the P24 or P25 patches as described in the Xerox security bulletins.

See Also

Plugin Details

Severity: High

ID: 19549

File Name: xerox_xrx05_008.nasl

Version: $Revision: 1.15 $

Type: remote

Family: Misc.

Published: 2005/08/31

Modified: 2013/11/05

Dependencies: 18100

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/h:xerox:workcentre

Required KB Items: www/xerox_document_centre

Exploit Available: true

Exploit Ease: No exploit is required

Vulnerability Publication Date: 2005/06/27

Reference Information

CVE: CVE-2005-2645, CVE-2005-2645, CVE-2005-2647

BID: 14586

OSVDB: 17765, 17766